
set more off, perm
clear all
scalar drop _all
cls

global drctory = "/Users/liyan/Dropbox/Noncompete/replication_package/empirical/build"

capture log close
log using "${drctory}/temp/clean_compustat_intangible.log", text replace


***************************************************************
*                      Load                                   *
***************************************************************

insheet using "${drctory}/input/compustat/compustat_intangible.csv"

***************************************************************
*                      Redefine Time                          *
***************************************************************

rename fyear year

tostring datadate, replace
gen edate = date(datadate, "YMD")

***************************************************************
*                      Save                                   *
***************************************************************
	 
save "${drctory}/output/compustat/compustat_intangible.dta", replace

log close 
