set more off, perm
clear all
scalar drop _all
cls

global drctory = "/Users/liyan/Dropbox/Noncompete/replication_package/empirical/build"

capture log close
log using "${drctory}/temp/clean_compustat_industry_measure.log", text replace

***************************************************************
*                      Import
***************************************************************

use "${drctory}/output/compustat/compustat_4exec.dta", replace

keep if fic == "USA"
count

***************************************************************
*                      Define Variables 
***************************************************************

do "${drctory}/code/1_clean_compustat/2sub_filter_firm1.do"
do "${drctory}/code/1_clean_compustat/2sub_industry_measure.do"

***************************************************************
*                      Save
***************************************************************

keep gvkey year sic* naic* bei_* frac_*

save "${drctory}/output/compustat/compustat_industry_measure.dta", replace

log close 
