
***************************************************************
*                      Filter Firms
***************************************************************

* check SIC changes for firms
quietly bysort gvkey: egen sic_sd = sd(sic)
sum sic_sd
drop sic_sd

* exclude firms with missing or non-positive book value of assets or sales 
gen ind_temp = 0
replace ind_temp = 1 if mi(at) | mi(revt) | ppegt<=5
gen ind = ind_temp
drop if ind == 1
drop ind_temp ind


