
set more off, perm
clear all
scalar drop _all
cls

global drctory = "/Users/liyan/Dropbox/Noncompete/replication_package/empirical/build"

capture log close
log using "${drctory}/temp/clean_boardex_company.log", text replace

***************************************************************
*                      Load                                   *
***************************************************************

import delimited "${drctory}/output/boardex/matched_bdex_company_modify.csv", delimiter("|") varnames(1) encoding(ISO-8859-1) clear

rename boardname1 boardname_matched
rename boardid1 boardid_matched
rename gvkey1 gvkey_matched

gsort -score1

keep if score1==100
keep boardname boardid boardname_matched boardid_matched gvkey_matched

duplicates drop

***************************************************************
*                      Save                                   *
***************************************************************

save "${drctory}/output/boardex/matched_bdex_company_filter.dta", replace

log close 


