
%% Grid: p 

N_p     = 11;
p_vec   = [1e-4;linspace(0.1,1,N_p-1)'];

%% Grid: kappa

N_kappa  = 201;
logkappal = mu_kappa-10*sigma_kappa;
logkappau = log(kappa_bar_p1);
kappal  = exp(logkappal);
kappau  = exp(logkappau);
kappa   = [0 exp(linspace(logkappal,logkappau,N_kappa-1))]; 
fkappa  = pdf(pd,kappa);
Fkappa  = cdf(pd,kappa);

%% Grid: x=log(w/z)

Nx      = 1000;
xmin    = -5;
xmax    = 0.8;
x       = linspace(xmin,xmax,Nx)';

dx      = zeros(Nx,1);
dx(1:Nx-1) = x(2:Nx)-x(1:Nx-1);
dx(Nx)  = dx(Nx-1);
dx2     = dx.^2;

%% Grid: t

T = 10;
dt = .02;
Nt = T/dt;
t = (0:dt:T)';   