u_n = cell(N_kappa);
du_n = cell(N_kappa);    
ddu_n = cell(N_kappa);       
theta_l_n = cell(N_kappa);
theta_l_u = cell(N_kappa);
x_n = cell(N_kappa);
xl_n = zeros(N_kappa,1);
xu_n = zeros(N_kappa,1);
x0_n = zeros(N_kappa,1);  
Istar_n = cell(N_kappa);    
check_HJB_n = cell(N_kappa);  
        
for i=1:2
    
    if i==1
        
        %% Standard Contract

        j_i = j_c;
        mu_i = mu_c;
        theta_bar_i = theta_bar_c;
        pie_i = 0;

        wage_differential_equation;

        u_c = u(select);
        du_c = du(select);    
        ddu_c = ddu(select);       
        theta_l_c = theta_l(select);
        x_c = x(select);
        xl_c = xl;
        xu_c = xu;  
        x0_c = x0;      
        Istar_c = Istar(select);    
        check_HJB_c = check_HJB(select); 
    
    elseif i==2
        
        %% Noncompete Contract
        j_n = j_n_vec(i_p,:);
        mu_n = mu_n_vec(i_p,:);
        theta_bar_i = theta_bar_n_vec(i_p);
        pie_i = pie_vec(i_p);      
        
        for i_kappa = 1:N_kappa

            j_i = j_n(i_kappa);
            mu_i = mu_n(i_kappa);   

            wage_differential_equation;

            u_n{i_kappa} = u(select);
            du_n{i_kappa} = du(select);    
            ddu_n{i_kappa} = ddu(select);       
            theta_l_n{i_kappa} = theta_l(select);
            theta_l_u{i_kappa} = theta_l_temp(select);
            x_n{i_kappa} = x(select);
            xl_n(i_kappa) = xl;
            xu_n(i_kappa) = xu;  
            x0_n(i_kappa) = x0;      
            Istar_n{i_kappa} = Istar(select);    
            check_HJB_n{i_kappa} = check_HJB(select);  
        end

    end
end