gx_n = cell(N_kappa,1);
Gx_n = cell(N_kappa,1);
dxdt_n = cell(N_kappa,1);
gxstat_n = cell(N_kappa,1);
xmean_n = cell(N_kappa,1);
wmean_n = cell(N_kappa,1);
gwmean_n = cell(N_kappa,1);       

for i=1:2
    
    if i==1
 
        %% Standard Contract
        
        theta_bar = theta_bar_c;
        j = j_c;        
        mu = mu_c;    
        u = u_c;
        theta_l = theta_l_c;
        x_temp = x_c;   % the new vector of x grids
        x0 = x0_c;
        
        wage_distribution_KFE;
        
        gx_c   = gx;
        Gx_c   = Gx;
        dxdt_c = dxdt;
        gxstat_c = gxstat;
        xmean_c = xmean;
        wmean_c = wmean;
        gwmean_c = (wmean(2:end)-wmean(1:end-1))/dt;           
        
    elseif i==2 
        
        for i_kappa = 1:N_kappa
            
            if i_kappa==1 || i_kappa==i_kappa_bar
                
                theta_bar = theta_bar_n;
                j = j_n(i_kappa);        
                mu = mu_n(i_kappa);    
                u = u_n{i_kappa};
                theta_l = theta_l_n{i_kappa};    
                theta_l_temp = theta_l_u{i_kappa};
                x_temp = x_n{i_kappa};   % the new vector of x grids
                x0 = x0_n(i_kappa);

                wage_distribution_KFE;

                gx_n{i_kappa} = gx;
                Gx_n{i_kappa} = Gx;
                dxdt_n{i_kappa} = dxdt;
                gxstat_n{i_kappa} = gxstat;
                xmean_n{i_kappa} = xmean;
                wmean_n{i_kappa} = wmean;
                gwmean_n{i_kappa}  = (wmean(2:end)-wmean(1:end-1))/dt;
                
            end
        end
    end    
end



