
set more off, perm
clear all
scalar drop _all
cls

global drctory = "/Users/liyan/Dropbox/Noncompete/replication_package/empirical/build"

capture log close
log using "${drctory}/temp/clean_contract.log", text replace

***************************************************************
*                      Import File                            *
***************************************************************

import delimited "${drctory}/input/noncompete_executive.csv", delimiter(",") encoding(ISO-8859-1) clear


***************************************************************
*                   Generate Match-Level Data                 *
***************************************************************

keep execid gvkey nc dur_max dur_min
duplicates drop

***************************************************************
*                          Save                               *
***************************************************************

** save at the match level 
save "${drctory}/output/execucomp/noncompete_match_level.dta", replace


log close 


