** Clean CPI Data to be Used to Deflate Nominal Variables

set more off, perm
clear all
scalar drop _all
cls

global drctory = "/Users/liyan/Dropbox/Noncompete/replication_package/empirical/build"

capture log close
log using "${drctory}/temp/clean_cpi.log", text replace

***************************************************************
*                      Load                                   *
***************************************************************

insheet using "${drctory}/input/cpi.csv", clear

***************************************************************
*                      Clean                                  *
***************************************************************

rename cpaltt01usa661s cpi
gen year = real(substr(date,1,4))
drop date
replace cpi = cpi/100

***************************************************************
*                      Save                                   *
***************************************************************

save "${drctory}/output/cpi.dta", replace

log close  
