set more off, perm
clear all
scalar drop _all
cls

global drctory = "/Users/liyan/Dropbox/Noncompete/replication_package/empirical"

capture log close
log using "${drctory}/build/temp/3_create_firm_panel.log", text replace

use "${drctory}/build/output/compustat/compustat_4exec.dta"

***************************************************************
*            Merge with Compustat Industry Measure            *
***************************************************************

merge m:1 gvkey year using "${drctory}/build/output/compustat/compustat_industry_measure.dta", keep(master match)
drop _merge

***************************************************************
*                      Save                                   *
***************************************************************

save "${drctory}/analysis/input/compustat/firm_panel.dta", replace

log close 


