***************************************************************
*                      Grouping
***************************************************************

***************************************************************
*                   CEO/CFO Groups
***************************************************************

gen temp_ceo = 0 
replace temp_ceo = 1 if !mi(ceoann)
replace temp_ceo = 1 if !mi(t_ceo)
* make sure there is only one CEO? co-CEO?
gen ceo_g = 0
replace ceo_g = 1 if temp_ceo>0

gen temp_cfo = 0 
replace temp_cfo = 1 if !mi(cfoann)
* make sure there is only one CEO? co-CEO?
gen cfo_g = 0
replace cfo_g = 1 if temp_cfo>0


***************************************************************
*                   Gender Groups
***************************************************************

sort execid
by execid: egen temp = mode(gender), maxmode
replace gender = temp
drop temp

gen gender_g = 0
replace gender_g = 1 if gender == "FEMALE"

